Sending notifications

Programmatically send notifications.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
json

A notification object describing the content to be pushed.

json

The notification objects describing the content to be pushed. Providing multiple notifications enables both A/B testing, and localization using the locale notification field.

json

Partial JSON body to apply to the notification before using it. Permits overriding a text, custom key-value payload, etc. If giving a null notificationId, it creates one on the fly just like if notification was used instead.

json

JSON dictionary of parameters with their associated values to be applied to the notification. Providing a value to a parameter "foo" will replace all occurrences of "{{foo}}" with the given value. If you targeted multiple installations or users without using segments, you can also give different values for each targeted value by giving a JSON array of dictionaries, respecting the same order.

string

Source notification id. Chosen automatically from the source campaign, if possible.

notificationIds
array of strings

Source notification ids. Chosen automatically from the source campaign, if possible.

notificationIds
targetSegmentIds
array of strings

Target segment ids. All matching installations will be notified. Every segment must share the same view id. You can prefix ids with a + to make them mandatory, or a - to make them forbidden, otherwise a segment is optional. An installation must match all mandatory segments, no forbidden segments and at least one optional segment to be notified.

targetSegmentIds
targetTags
array of strings

Target tags. Matches all installations that have at least one of the provided tags.

targetTags
targetUserIds
array of strings

Target user ids. All their installations will be notified. As an experimental feature, you can give installationIds if you prefix them with @INSTALLATION_ID:; this way in a single API call you can notify both all devices of given logged subscribers and the device of each given anonymous subscribers.

targetUserIds
targetInstallationIds
array of strings

Target installation ids. Only the given installations will be notified.

targetInstallationIds
targetDeviceIds
array of strings

Target device ids. Optionally prefixed by their corresponding platforms, followed by a colon ":". Only the corresponding installations will be notified.

targetDeviceIds
json

JSON dictionary of parameters with their associated values to be applied to the segment. Providing a value to a parameter foo will replace all occurences of {{foo}} with the given value. If you use multiple segments and want to give different values to parameters using the same name, you can give an JSON array of dictionnaries, respecting the order of the segments given in targetSegmentIds. Segments that need no parameters can use null or an empty object.

string

An optional campaign identifier to attach statistics to.

string

Optional view id to apply over all segments defined in the Full view. All segments must use the same view, or the call will be refused. If a campaignId is given, it must share the same view.

date

The date at which the actual notifications delivery should take place. This enables you to apply small delays of at most 24h between calling this end-point and the actual start of the processing.

string

The delay to wait before the actual notifications delivery should take place. This enables you to apply small delays of at most 24h between calling this end-point and the actual start of the processing. See durations for more detail on the expected format.

boolean

An optional boolean, global and campaign-level capping is ignored when true.

string

Whether to add UTM parameters. Either: false/none, true/default or overwrite. If a configured UTM parameter is already present in a targetUrl the default is to not overwrite it.

filterPlatforms
array of strings

Filter platforms. Further restricts the target audience to installations on one of the listed platforms. Valid values are Android, iOS and Web.

filterPlatforms
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json